cancel
Showing results for 
Search instead for 
Did you mean: 

2.2.3 to 2.2.4, error: "Invalid country code"

SOLVED

2.2.3 to 2.2.4, error: "Invalid country code"

Hi,

i tried to upgrade 2.2.3 to 2.2.4 but after:

 

bin/composer require magento/product-community-edition 2.2.3 --no-update
bin/composer update

and:

php bin/magento setup:upgrade

I see this error:

Module 'Magento_Sales':
Upgrading data.. Invalid country code

 And in the browser:

Please upgrade your database: Run "bin/magento setup:upgrade" from the Magento root directory.
The following modules are outdated:
Magento_Sales data: current version - 2.0.7, required version - 2.0.9
Magento_Vault data: current version - 2.0.2, required version - 2.0.3
Magento_Newsletter data: current version - 2.0.0, required version - 2.0.1
Klarna_Core data: current version - none, required version - 4.1.5
Amazon_Core data: current version - none, required version - 2.0.4
Klarna_Ordermanagement data: current version - none, required version - 4.1.2
Amazon_Login data: current version - none, required version - 1.2.0
Amazon_Payment data: current version - none, required version - 1.11.0
Klarna_Kp data: current version - none, required version - 5.1.3
Vertex_Tax data: current version - none, required version - 100.1.0

 

9 REPLIES

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Hi @yy77

 

If you would like to upgrade magento from 2.2.3 to 2.2.4 - you need to write 2.2.4 in the update command instead of 2.2.3.

 

check below commands for the upgrade process and run in sequence :

 

composer require magento/product-community-edition 2.2.4 --no-update
composer update
rm -rf var/cache/*
rm -rf var/page_cache/*
rm -rf var/generation/*
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy -f 
php bin/magento cache:clean
php bin/magento cache:flush

Then check , it will works for you !

if issue solved,Click Kudos & Accept as Solution

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Sorry @ManthanDave , my typo. Tried with:

composer require magento/product-community-edition 2.2.4 --no-update

  

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Still same issue ?

 

Also have you tried after removing generated directory ?

 

also do re-indexing by running this command - php bin/magento indexer:reindex

 

then again run setup:upgrade - check the error remain same ?

if issue solved,Click Kudos & Accept as Solution

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

@ManthanDave Unfortunatelly, yes.

I ran these cmds (and yours too) and still: Invalid country code.

Stopped at: 

Module 'Magento_Sales' / Upgrading data

 

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Hi @yy77

 

Can you run below command : 

 

composer update

 

its because of database schema modules are outdated - so you need to run composer update command over here !!

 

then after run upgrade command ! that will help you to resolved this issue 

if issue solved,Click Kudos & Accept as Solution

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

@ManthanDave

Yes, ran:

 

Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update
Generating autoload files

I ran all other commands, no effects.

 

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Hi @yy77

 

Well , refer this link - that might help you - https://magefan.com/blog/issue-the-following-modules-are-outdated/

 

Or else something is mashed up with the db during the update - so restore the db and try to upgrade again !

if issue solved,Click Kudos & Accept as Solution

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Success!
THANKS! 

Re: 2.2.3 to 2.2.4, error: "Invalid country code"

Hi @yy77

 

Glad to know that you have resolved your issue !! Happy to help and keep helping Smiley Happy

if issue solved,Click Kudos & Accept as Solution